/v1/holder/credentials/{uuid}
API Key
Get holder credential details
Retrieve details of a specific credential including the full claims.
Only accessible if the holder has access to this credential.
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
uuid
*
|
path | string | Credential UUID |
X-API-Key
*
|
header | string | API key for holder authentication |
* Required parameter
Response
Content-Type: application/json
success
boolean
data
object
uuid
string (uuid)
status
string
type
string
type_display
string
schema
object
nullable
Credential schema reference
uuid
string (uuid)
Schema UUID
Example: 28b9daa3-94b9-40fe-ab1b-a4315de20afc
name
string
Schema display name
Example: University Degree
type
string
Credential type identifier
Example: UniversityDegreeCredential
slug
string
URL-friendly schema identifier
Example: university-degree
issuer
object
name
string
did
string
domain
string
nullable
issued_at
string (date-time)
expires_at
string (date-time)
nullable
created_at
string (date-time)
claims
object
Full credential claims (only included in show)
Code Examples
import os
from aho_sdk import AhoSdk
client = AhoSdk.holder(api_key=os.environ["AHO_API_KEY"])
result = client.credentials.get(
uuid="example_uuid"
)
client = AhoSdk.holder(api_key: ENV["AHO_API_KEY"])
result = client.credentials.get(
uuid: "example_uuid"
)
import { AhoSdk } from '@aho/sdk';
const client = AhoSdk.holder({ apiKey: process.env.AHO_API_KEY });
const result = await client.credentials.get({
uuid: "example_uuid"
});
curl -X GET 'https://api.aho.com/v1/holder/credentials/example_uuid' \
-H 'X-API-Key: $AHO_API_KEY'
Try It
Log in to test this endpoint directly from the documentation.
Log in